local mod = RegisterMod("Cursed D6", 1);
local item = Isaac.GetItemIdByName("Cursed D6")

local debug = false;
local game = Game();

function mod:start()
	if game:GetFrameCount() == 0 then
		if debug then
			Isaac.ExecuteCommand("spawn 5.100."..item);
		end
	end
end

function mod:useItem()

	local player = Isaac.GetPlayer(0);
	
	if (not player:HasCollectible(Isaac.GetItemIdByName("Black Candle"))) then
		game:GetLevel():AddCurse(LevelCurse.CURSE_OF_BLIND, false);
	end

	player:UseActiveItem(Isaac.GetItemIdByName("The D6"), false, true, true, false);
	return true;
end

mod:AddCallback( ModCallbacks.MC_USE_ITEM, mod.useItem, item);
mod:AddCallback( ModCallbacks.MC_POST_GAME_STARTED, mod.start);