local mod = RegisterMod("Black Incense", 1);
local trinket = Isaac.GetTrinketIdByName("Black Incense");

local debug = false;
local game = Game();

function mod:start()
	if game:GetFrameCount() == 0 then
		if debug then
			Isaac.ExecuteCommand("spawn 5.350."..trinket);
		end
	end
end

function mod:newLevel()
	local player = Isaac.GetPlayer(0);
	if player:HasTrinket(trinket) then
		if (Random() % 2 > 0) or player:HasCollectible(Isaac.GetItemIdByName("Mom's Box")) then
			game:GetLevel():RemoveCurses();
		end
	end
end

mod:AddCallback(ModCallbacks.MC_POST_GAME_STARTED, mod.start);
mod:AddCallback(ModCallbacks.MC_POST_NEW_LEVEL, mod.newLevel);